/**
 * 
 */
package mergesort;

/**
 * @author meder
 * 
 */
public class SplitArray {
	/**
	 * @param array
	 *            array to split
	 */
	public SplitArray(int[] array) {
		part1 = new int[array.length / 2];
		part2 = new int[array.length - part1.length];

		System.arraycopy(array, 0, part1, 0, array.length / 2);
		System.arraycopy(array, array.length / 2, part2, 0, array.length
				- part1.length);
	}

	/**
	 * @return left sub array
	 */
	public int[] getPart1() {
		return part1;
	}

	/**
	 * @return right sub array
	 */
	public int[] getPart2() {
		return part2;
	}

	private int[] part1;

	private int[] part2;

}
