/**
 * 
 */
package mergesort;

/**
 * @author meder
 * 
 */
public final class TestRunner {

	final static int ARRAY_SIZE = 32;

	/**
	 * @param args
	 *            command line arguments
	 */
	public static void main(String[] args) {
		IOHelper ioh = new IOHelper();
		
		// Get input values

//		int[] array = ioh.getNextIntegerArray();
		int[] arrayPar = ioh.getNextIntegerArray();
		
//		MergeSort seq = new SequentialMergeSort();
		MergeSort par = new ParallelMergeSort();

		// Sort arrays
//		int[] result = seq.sort(array);
		int[] resultPar = par.sort(arrayPar);
		
		// Print sorted arrays
		System.out.print("Input (Par):\t");
		ioh.printResult(arrayPar);
		System.out.print("Output (Par):\t");
		ioh.printResult(resultPar);
	}

	/**
	 * 
	 */
	private TestRunner() {
	}
}
