/**
 * 
 */
package mergesort;

/**
 * @author meder
 *
 */
public class SequentialMergeSort extends MergeSort {

	/**
	 * @param array
	 *            array to sort
	 * @return sorted array
	 */
	@Override
	public int[] sort(int[] array) {
		if (array.length <= 1) {
			return array;
		}
		
		SplitArray s = split(array);
		
		int[] part1 = sort(s.getPart1());
		int[] part2 = sort(s.getPart2());

		int[] result = merge(part1, part2);
		
		return result;
	}

}
